Package com.avaya.clientservices.common

## Interface DataRetrieval<T>

- Type Parameters:
    `T` - The type of elements in the data set.

      public interface DataRetrieval<T>

  Interface for objects representing the process of loading data into a `DataSet`.

  The corresponding listener interface `DataRetrievalListener` tracks the progress of loading the data.

  Deprecated

  The class backing this interface is not thread safe and has been replaced by the `DataRetrievalWatcher` class. Any public methods using DataRetrieval are now marked as deprecated and have been replaced by equivalent methods on the same class. Third party applications should not use these deprecated methods as they are not supported by Avaya.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addDataRetrievalListener​(com.avaya.clientservices.common.DataRetrievalListener<T> listener)` | Add a listener to be notified of progress in retrieving a data set.
    `void` | `cancel()` | Cancel the current data retrieval operation.
    `com.avaya.clientservices.common.DataSet<T>` | `getDataSet()` | Get the `DataSet` for this retrieval operation.
    `boolean` | `isCanceled()` | Has this data retrieval operation been cancelled?
    `void` | `reInitialize()` |
    `void` | `removeDataRetrievalListener​(com.avaya.clientservices.common.DataRetrievalListener<T> listener)` | Remove a listener from being notified of data set retrieval progress.

- - ### Method Detail

    - #### addDataRetrievalListener

          void addDataRetrievalListener​(com.avaya.clientservices.common.DataRetrievalListener<T> listener)

      Add a listener to be notified of progress in retrieving a data set.
      Parameters:
        `listener` - The listener to be added.

    - #### removeDataRetrievalListener

          void removeDataRetrievalListener​(com.avaya.clientservices.common.DataRetrievalListener<T> listener)

      Remove a listener from being notified of data set retrieval progress.
      Parameters:
        `listener` - The listener to be removed.

    - #### getDataSet

          com.avaya.clientservices.common.DataSet<T> getDataSet()

      Get the `DataSet` for this retrieval operation.
      Returns:
        The corresponding data set.

    - #### reInitialize

          void reInitialize()

    - #### cancel

          void cancel()

      Cancel the current data retrieval operation.

      After this, the cancellation will be reported asynchronously to listeners with a `DataRetrievalCancelledException` passed to `DataRetrievalListener.onDataRetrievalFailed(DataRetrieval, Exception)`.

    - #### isCanceled

          boolean isCanceled()

      Has this data retrieval operation been cancelled?
      Returns:
        `true` if the operation was cancelled, `false` otherwise.